LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-22-2010, 11:55 AM   #1
xischaune
LQ Newbie
 
Registered: Sep 2010
Posts: 2

Rep: Reputation: 0
Kernel Upgrade Problem


Hello All...

I am a newbie to linux...
I am trying to upgrade my RHEL5 kernel...
This is what the /boot/grub.menu.lst shows:


title Red Hat Enterprise Linux Server (2.6.18-128.el5)
root (hd0,0)
kernel /vmlinuz-2.6.18-128.el5 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
initrd /initrd-2.6.18-128.el5.img

What file should i download for my i686 system...
Googling gives a number of options...of which I feel ovzkernel-2.6.18-194.8.1.el5.028stab070.5.i686.rpm is the right one for me??????Is it the latest stable kernel version...and how to install it????
Thanx
 
Old 09-22-2010, 12:03 PM   #2
snowpine
Senior Member
 
Registered: Feb 2009
Posts: 4,037

Rep: Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099
Welcome to the forums! I think you will find that Red Hat Enterprise Linux is very well documented.

http://www.redhat.com/docs/manuals/enterprise/#RHEL5

I believe the command you're looking for is:

Code:
yum upgrade
 
Old 09-22-2010, 12:14 PM   #3
xischaune
LQ Newbie
 
Registered: Sep 2010
Posts: 2

Original Poster
Rep: Reputation: 0
Thanx snowpine...

yum install did the job...


[root@localhost temp]# yum install ovzkernel-2.6.18-194.8.1.el5.028stab070.5.i686.rpm
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Parsing package install arguments
Examining ovzkernel-2.6.18-194.8.1.el5.028stab070.5.i686.rpm: ovzkernel-2.6.18-194.8.1.el5.028stab070.5.i686
Marking ovzkernel-2.6.18-194.8.1.el5.028stab070.5.i686.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ovzkernel.i686 0:2.6.18-194.8.1.el5.028stab070.5 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================== =========================================================
Package Arch Version Repository Size
==================================================================================================== =========================================================
Installing:
ovzkernel i686 2.6.18-194.8.1.el5.028stab070.5 ovzkernel-2.6.18-194.8.1.el5.028stab070.5.i686.rpm 20 M

Transaction Summary
==================================================================================================== =========================================================
Install 1 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 20 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID a7a1d4b6


Public key for ovzkernel-2.6.18-194.8.1.el5.028stab070.5.i686.rpm is not installed




What about the last line...is it an error???
do i need to do something more???
 
Old 09-22-2010, 12:22 PM   #4
snowpine
Senior Member
 
Registered: Feb 2009
Posts: 4,037

Rep: Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099Reputation: 1099
Sorry but that is not the command I suggested; I claim no credit for your "success."

You need to register your system with Red Hat, then you will be able to get updates including the latest officially-supported kernel.

Last edited by snowpine; 09-22-2010 at 12:27 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
problem after kernel upgrade kissme1 Linux - Newbie 9 12-18-2007 11:36 AM
Upgrade kernel problem - 2.6.19/2.6.21.3 cdcshu Linux - Software 3 06-04-2007 08:12 AM
Kernel upgrade problem (2.6.16.17) hlstriker Linux - Kernel 7 05-23-2006 04:12 PM
Kernel upgrade problem. Ten-shin Slackware 8 06-30-2004 03:20 PM
Kernel Upgrade Problem ppuru Linux - Software 1 07-28-2003 12:09 PM


All times are GMT -5. The time now is 02:15 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration